## AgsEnvelopeUtil

AgsEnvelopeUtil — Boxed type of envelope util

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsEnvelopeUtil * | ags_envelope_util_alloc ()
gpointer | ags_envelope_util_copy ()
void | ags_envelope_util_free ()
gpointer | ags_envelope_util_get_destination ()
void | ags_envelope_util_set_destination ()
guint | ags_envelope_util_get_destination_stride ()
void | ags_envelope_util_set_destination_stride ()
gpointer | ags_envelope_util_get_source ()
void | ags_envelope_util_set_source ()
guint | ags_envelope_util_get_source_stride ()
void | ags_envelope_util_set_source_stride ()
guint | ags_envelope_util_get_buffer_length ()
void | ags_envelope_util_set_buffer_length ()
guint | ags_envelope_util_get_format ()
void | ags_envelope_util_set_format ()
guint | ags_envelope_util_get_samplerate ()
void | ags_envelope_util_set_samplerate ()
gdouble | ags_envelope_util_get_volume ()
void | ags_envelope_util_set_volume ()
gdouble | ags_envelope_util_get_amount ()
void | ags_envelope_util_set_amount ()
gboolean | ags_envelope_util_get_lfo_enabled ()
void | ags_envelope_util_set_lfo_enabled ()
gdouble | ags_envelope_util_get_lfo_freq ()
void | ags_envelope_util_set_lfo_freq ()
guint | ags_envelope_util_get_frame_count ()
void | ags_envelope_util_set_frame_count ()
guint | ags_envelope_util_get_offset ()
void | ags_envelope_util_set_offset ()
void | ags_envelope_util_compute_s8 ()
void | ags_envelope_util_compute_s16 ()
void | ags_envelope_util_compute_s24 ()
void | ags_envelope_util_compute_s32 ()
void | ags_envelope_util_compute_s64 ()
void | ags_envelope_util_compute_float ()
void | ags_envelope_util_compute_double ()
void | ags_envelope_util_compute_complex ()
void | ags_envelope_util_compute ()

## Types and Values

#define | AGS_ENVELOPE_UTIL_INITIALIZER

## Object Hierarchy

        GBoxed
        ╰── AgsEnvelopeUtil

## Includes

    #include <ags/audio/ags_envelope_util.h>

## Description

Boxed type of envelope util data type.

## Functions

### ags_envelope_util_alloc ()

    AgsEnvelopeUtil *
    ags_envelope_util_alloc ();

Allocate AgsEnvelopeUtil

#### Returns

a new AgsEnvelopeUtil

Since: 3.9.2

### ags_envelope_util_copy ()

    gpointer
    ags_envelope_util_copy (AgsEnvelopeUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsEnvelopeUtil |

#### Returns

a pointer of the new AgsEnvelopeUtil

Since: 3.9.2

### ags_envelope_util_free ()

    void
    ags_envelope_util_free (AgsEnvelopeUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsEnvelopeUtil |

Since: 3.9.2

### ags_envelope_util_get_destination ()

    gpointer
    ags_envelope_util_get_destination (AgsEnvelopeUtil *envelope_util);

Get destination buffer of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |

#### Returns

the destination buffer

Since: 3.9.2

### ags_envelope_util_set_destination ()

    void
    ags_envelope_util_set_destination (AgsEnvelopeUtil *envelope_util,
                                       gpointer destination);

Set `destination` buffer of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |
destination | the destination buffer. | [transfer none]

Since: 3.9.2

### ags_envelope_util_get_destination_stride ()

    guint
    ags_envelope_util_get_destination_stride
                                   (AgsEnvelopeUtil *envelope_util);

Get destination stride of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |

#### Returns

the destination buffer stride

Since: 3.9.2

### ags_envelope_util_set_destination_stride ()

    void
    ags_envelope_util_set_destination_stride
                                   (AgsEnvelopeUtil *envelope_util,
                                    guint destination_stride);

Set `destination` stride of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |
destination_stride | the destination buffer stride |

Since: 3.9.2

### ags_envelope_util_get_source ()

    gpointer
    ags_envelope_util_get_source (AgsEnvelopeUtil *envelope_util);

Get source buffer of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |

#### Returns

the source buffer

Since: 3.9.2

### ags_envelope_util_set_source ()

    void
    ags_envelope_util_set_source (AgsEnvelopeUtil *envelope_util,
                                  gpointer source);

Set `source` buffer of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |
source | the source buffer. | [transfer none]

Since: 3.9.2

### ags_envelope_util_get_source_stride ()

    guint
    ags_envelope_util_get_source_stride (AgsEnvelopeUtil *envelope_util);

Get source stride of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |

#### Returns

the source buffer stride

Since: 3.9.2

### ags_envelope_util_set_source_stride ()

    void
    ags_envelope_util_set_source_stride (AgsEnvelopeUtil *envelope_util,
                                         guint source_stride);

Set `source` stride of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |
source_stride | the source buffer stride |

Since: 3.9.2

### ags_envelope_util_get_buffer_length ()

    guint
    ags_envelope_util_get_buffer_length (AgsEnvelopeUtil *envelope_util);

Get buffer length of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |

#### Returns

the buffer length

Since: 3.9.2

### ags_envelope_util_set_buffer_length ()

    void
    ags_envelope_util_set_buffer_length (AgsEnvelopeUtil *envelope_util,
                                         guint buffer_length);

Set `buffer_length` of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |
buffer_length | the buffer length |

Since: 3.9.2

### ags_envelope_util_get_format ()

    guint
    ags_envelope_util_get_format (AgsEnvelopeUtil *envelope_util);

Get format of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |

#### Returns

the format

Since: 3.9.6

### ags_envelope_util_set_format ()

    void
    ags_envelope_util_set_format (AgsEnvelopeUtil *envelope_util,
                                  guint format);

Set `format` of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |
format | the format |

Since: 3.9.6

### ags_envelope_util_get_samplerate ()

    guint
    ags_envelope_util_get_samplerate (AgsEnvelopeUtil *envelope_util);

Get samplerate of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |

#### Returns

the samplerate

Since: 5.2.0

### ags_envelope_util_set_samplerate ()

    void
    ags_envelope_util_set_samplerate (AgsEnvelopeUtil *envelope_util,
                                      guint samplerate);

Set `samplerate` of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |
samplerate | the samplerate |

Since: 5.2.0

### ags_envelope_util_get_volume ()

    gdouble
    ags_envelope_util_get_volume (AgsEnvelopeUtil *envelope_util);

Get volume of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |

#### Returns

the volume

Since: 3.9.2

### ags_envelope_util_set_volume ()

    void
    ags_envelope_util_set_volume (AgsEnvelopeUtil *envelope_util,
                                  gdouble volume);

Set `volume` of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |
volume | the volume |

Since: 3.9.2

### ags_envelope_util_get_amount ()

    gdouble
    ags_envelope_util_get_amount (AgsEnvelopeUtil *envelope_util);

Get amount of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |

#### Returns

the amount

Since: 3.9.2

### ags_envelope_util_set_amount ()

    void
    ags_envelope_util_set_amount (AgsEnvelopeUtil *envelope_util,
                                  gdouble amount);

Set `amount` of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |
amount | the amount |

Since: 3.9.2

### ags_envelope_util_get_lfo_enabled ()

    gboolean
    ags_envelope_util_get_lfo_enabled (AgsEnvelopeUtil *envelope_util);

Get LFO enabled of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |

#### Returns

the LFO enabled

Since: 7.0.0

### ags_envelope_util_set_lfo_enabled ()

    void
    ags_envelope_util_set_lfo_enabled (AgsEnvelopeUtil *envelope_util,
                                       gboolean lfo_enabled);

Set `lfo_enabled` of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |
lfo_enabled | the LFO enabled |

Since: 7.0.0

### ags_envelope_util_get_lfo_freq ()

    gdouble
    ags_envelope_util_get_lfo_freq (AgsEnvelopeUtil *envelope_util);

Get LFO frequency of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |

#### Returns

the LFO frequency

Since: 7.0.0

### ags_envelope_util_set_lfo_freq ()

    void
    ags_envelope_util_set_lfo_freq (AgsEnvelopeUtil *envelope_util,
                                    gdouble lfo_freq);

Set `lfo_freq` of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |
lfo_freq | the LFO frequency |

Since: 7.0.0

### ags_envelope_util_get_frame_count ()

    guint
    ags_envelope_util_get_frame_count (AgsEnvelopeUtil *envelope_util);

Get frame count of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |

#### Returns

the frame count

Since: 7.0.0

### ags_envelope_util_set_frame_count ()

    void
    ags_envelope_util_set_frame_count (AgsEnvelopeUtil *envelope_util,
                                       guint frame_count);

Set `frame_count` of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |
frame_count | the frame count |

Since: 7.0.0

### ags_envelope_util_get_offset ()

    guint
    ags_envelope_util_get_offset (AgsEnvelopeUtil *envelope_util);

Get offset of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |

#### Returns

the offset

Since: 7.0.0

### ags_envelope_util_set_offset ()

    void
    ags_envelope_util_set_offset (AgsEnvelopeUtil *envelope_util,
                                  guint offset);

Set `offset` of `envelope_util` .

#### Parameters

envelope_util | the AgsEnvelopeUtil |
offset | the offset |

Since: 7.0.0

### ags_envelope_util_compute_s8 ()

    void
    ags_envelope_util_compute_s8 (AgsEnvelopeUtil *envelope_util);

Compute envelope of signed 8 bit data.

#### Parameters

envelope_util | the AgsEnvelopeUtil |

Since: 3.9.2

### ags_envelope_util_compute_s16 ()

    void
    ags_envelope_util_compute_s16 (AgsEnvelopeUtil *envelope_util);

Compute envelope of signed 16 bit data.

#### Parameters

envelope_util | the AgsEnvelopeUtil |

Since: 3.9.2

### ags_envelope_util_compute_s24 ()

    void
    ags_envelope_util_compute_s24 (AgsEnvelopeUtil *envelope_util);

Compute envelope of signed 24 bit data.

#### Parameters

envelope_util | the AgsEnvelopeUtil |

Since: 3.9.2

### ags_envelope_util_compute_s32 ()

    void
    ags_envelope_util_compute_s32 (AgsEnvelopeUtil *envelope_util);

Compute envelope of signed 32 bit data.

#### Parameters

envelope_util | the AgsEnvelopeUtil |

Since: 3.9.2

### ags_envelope_util_compute_s64 ()

    void
    ags_envelope_util_compute_s64 (AgsEnvelopeUtil *envelope_util);

Compute envelope of signed 64 bit data.

#### Parameters

envelope_util | the AgsEnvelopeUtil |

Since: 3.9.2

### ags_envelope_util_compute_float ()

    void
    ags_envelope_util_compute_float (AgsEnvelopeUtil *envelope_util);

Compute envelope of floating point data.

#### Parameters

envelope_util | the AgsEnvelopeUtil |

Since: 3.9.2

### ags_envelope_util_compute_double ()

    void
    ags_envelope_util_compute_double (AgsEnvelopeUtil *envelope_util);

Compute envelope of double floating point data.

#### Parameters

envelope_util | the AgsEnvelopeUtil |

Since: 3.9.2

### ags_envelope_util_compute_complex ()

    void
    ags_envelope_util_compute_complex (AgsEnvelopeUtil *envelope_util);

Compute envelope of complex floating point data.

#### Parameters

envelope_util | the AgsEnvelopeUtil |

Since: 3.9.2

### ags_envelope_util_compute ()

    void
    ags_envelope_util_compute (AgsEnvelopeUtil *envelope_util);

Compute envelope.

#### Parameters

envelope_util | the AgsEnvelopeUtil |

Since: 3.9.2

## Types and Values

### AGS_ENVELOPE_UTIL_INITIALIZER

    #define             AGS_ENVELOPE_UTIL_INITIALIZER